<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionBookMenuController Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d0f/a04085.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionBookMenuController Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionBookMenuController:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d0/d0f/a04085.png" usemap="#ExpansionBookMenuController_map" alt=""/>
  <map id="ExpansionBookMenuController_map" name="ExpansionBookMenuController_map">
<area href="../../db/d49/a04289.html" alt="ExpansionViewController" shape="rect" coords="0,0,186,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a82a78af1d6f12a181d72955b0b0f9365"><td class="memItemLeft" align="right" valign="top">ref ObservableCollection&lt; ref <a class="el" href="../../d7/dc4/a04093.html">ExpansionBookMenuTabBase</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d0f/a04085.html#a82a78af1d6f12a181d72955b0b0f9365">BookTabs</a> = new ObservableCollection&lt;ref <a class="el" href="../../d7/dc4/a04093.html">ExpansionBookMenuTabBase</a>&gt;(this)</td></tr>
<tr class="separator:a82a78af1d6f12a181d72955b0b0f9365"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a057968299e7a0c122ac1d46dabd03d4a"><td class="memItemLeft" align="right" valign="top">ref ObservableCollection&lt; ref <a class="el" href="../../d8/d7f/a04105.html">ExpansionBookMenuTabElement</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d0f/a04085.html#a057968299e7a0c122ac1d46dabd03d4a">ElementsSpacerLeft</a> = new ObservableCollection&lt;ref <a class="el" href="../../d8/d7f/a04105.html">ExpansionBookMenuTabElement</a>&gt;(this)</td></tr>
<tr class="separator:a057968299e7a0c122ac1d46dabd03d4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d2f7527635993ebbd6f70062194689f"><td class="memItemLeft" align="right" valign="top">ref ObservableCollection&lt; ref <a class="el" href="../../d8/d7f/a04105.html">ExpansionBookMenuTabElement</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d0f/a04085.html#a4d2f7527635993ebbd6f70062194689f">ElementsSpacerRight</a> = new ObservableCollection&lt;ref <a class="el" href="../../d8/d7f/a04105.html">ExpansionBookMenuTabElement</a>&gt;(this)</td></tr>
<tr class="separator:a4d2f7527635993ebbd6f70062194689f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5a8140dae9018301873ceea32ba624f"><td class="memItemLeft" align="right" valign="top">ref ObservableCollection&lt; ref <a class="el" href="../../dd/d44/a04097.html">ExpansionBookMenuTabBookmark</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d0f/a04085.html#ac5a8140dae9018301873ceea32ba624f">BookmarksSpacerLeft</a> = new ObservableCollection&lt;ref <a class="el" href="../../dd/d44/a04097.html">ExpansionBookMenuTabBookmark</a>&gt;(this)</td></tr>
<tr class="separator:ac5a8140dae9018301873ceea32ba624f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a776d12bcc16058f7f6826e015a1cdf62"><td class="memItemLeft" align="right" valign="top">ref ObservableCollection&lt; ref <a class="el" href="../../dd/d44/a04097.html">ExpansionBookMenuTabBookmark</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d0f/a04085.html#a776d12bcc16058f7f6826e015a1cdf62">BookmarksSpacerRight</a> = new ObservableCollection&lt;ref <a class="el" href="../../dd/d44/a04097.html">ExpansionBookMenuTabBookmark</a>&gt;(this)</td></tr>
<tr class="separator:a776d12bcc16058f7f6826e015a1cdf62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53eafd3f68f0b37b7f90992d759fae51"><td class="memItemLeft" align="right" valign="top">ref ObservableCollection&lt; ref <a class="el" href="../../d3/d45/a05057.html">ExpansionScriptView</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d0f/a04085.html#a53eafd3f68f0b37b7f90992d759fae51">SideButtonsLeft</a> = new ObservableCollection&lt;ref <a class="el" href="../../d3/d45/a05057.html">ExpansionScriptView</a>&gt;(this)</td></tr>
<tr class="separator:a53eafd3f68f0b37b7f90992d759fae51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6485d4e89ee5c187d28369ee941c31e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d0f/a04085.html#ad6485d4e89ee5c187d28369ee941c31e">PageNumberLeft</a></td></tr>
<tr class="separator:ad6485d4e89ee5c187d28369ee941c31e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bfe17d289403c0a020d6252d35ff451"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d0f/a04085.html#a4bfe17d289403c0a020d6252d35ff451">PageNumberRight</a></td></tr>
<tr class="separator:a4bfe17d289403c0a020d6252d35ff451"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d8/d13/a00671_source.html#l00359">359</a> of file <a class="el" href="../../d8/d13/a00671_source.html">expansionbookmenu.c</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="ac5a8140dae9018301873ceea32ba624f" name="ac5a8140dae9018301873ceea32ba624f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5a8140dae9018301873ceea32ba624f">&#9670;&#160;</a></span>BookmarksSpacerLeft</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ObservableCollection&lt;ref <a class="el" href="../../dd/d44/a04097.html">ExpansionBookMenuTabBookmark</a>&gt; ExpansionBookMenuController::BookmarksSpacerLeft = new ObservableCollection&lt;ref <a class="el" href="../../dd/d44/a04097.html">ExpansionBookMenuTabBookmark</a>&gt;(this)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d13/a00671_source.html#l00364">364</a> of file <a class="el" href="../../d8/d13/a00671_source.html">expansionbookmenu.c</a>.</p>

</div>
</div>
<a id="a776d12bcc16058f7f6826e015a1cdf62" name="a776d12bcc16058f7f6826e015a1cdf62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a776d12bcc16058f7f6826e015a1cdf62">&#9670;&#160;</a></span>BookmarksSpacerRight</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ObservableCollection&lt;ref <a class="el" href="../../dd/d44/a04097.html">ExpansionBookMenuTabBookmark</a>&gt; ExpansionBookMenuController::BookmarksSpacerRight = new ObservableCollection&lt;ref <a class="el" href="../../dd/d44/a04097.html">ExpansionBookMenuTabBookmark</a>&gt;(this)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d13/a00671_source.html#l00365">365</a> of file <a class="el" href="../../d8/d13/a00671_source.html">expansionbookmenu.c</a>.</p>

</div>
</div>
<a id="a82a78af1d6f12a181d72955b0b0f9365" name="a82a78af1d6f12a181d72955b0b0f9365"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82a78af1d6f12a181d72955b0b0f9365">&#9670;&#160;</a></span>BookTabs</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ObservableCollection&lt;ref <a class="el" href="../../d7/dc4/a04093.html">ExpansionBookMenuTabBase</a>&gt; ExpansionBookMenuController::BookTabs = new ObservableCollection&lt;ref <a class="el" href="../../d7/dc4/a04093.html">ExpansionBookMenuTabBase</a>&gt;(this)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d13/a00671_source.html#l00361">361</a> of file <a class="el" href="../../d8/d13/a00671_source.html">expansionbookmenu.c</a>.</p>

</div>
</div>
<a id="a057968299e7a0c122ac1d46dabd03d4a" name="a057968299e7a0c122ac1d46dabd03d4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a057968299e7a0c122ac1d46dabd03d4a">&#9670;&#160;</a></span>ElementsSpacerLeft</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ObservableCollection&lt;ref <a class="el" href="../../d8/d7f/a04105.html">ExpansionBookMenuTabElement</a>&gt; ExpansionBookMenuController::ElementsSpacerLeft = new ObservableCollection&lt;ref <a class="el" href="../../d8/d7f/a04105.html">ExpansionBookMenuTabElement</a>&gt;(this)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d13/a00671_source.html#l00362">362</a> of file <a class="el" href="../../d8/d13/a00671_source.html">expansionbookmenu.c</a>.</p>

</div>
</div>
<a id="a4d2f7527635993ebbd6f70062194689f" name="a4d2f7527635993ebbd6f70062194689f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d2f7527635993ebbd6f70062194689f">&#9670;&#160;</a></span>ElementsSpacerRight</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ObservableCollection&lt;ref <a class="el" href="../../d8/d7f/a04105.html">ExpansionBookMenuTabElement</a>&gt; ExpansionBookMenuController::ElementsSpacerRight = new ObservableCollection&lt;ref <a class="el" href="../../d8/d7f/a04105.html">ExpansionBookMenuTabElement</a>&gt;(this)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d13/a00671_source.html#l00363">363</a> of file <a class="el" href="../../d8/d13/a00671_source.html">expansionbookmenu.c</a>.</p>

</div>
</div>
<a id="ad6485d4e89ee5c187d28369ee941c31e" name="ad6485d4e89ee5c187d28369ee941c31e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6485d4e89ee5c187d28369ee941c31e">&#9670;&#160;</a></span>PageNumberLeft</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionBookMenuController::PageNumberLeft</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d13/a00671_source.html#l00369">369</a> of file <a class="el" href="../../d8/d13/a00671_source.html">expansionbookmenu.c</a>.</p>

</div>
</div>
<a id="a4bfe17d289403c0a020d6252d35ff451" name="a4bfe17d289403c0a020d6252d35ff451"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bfe17d289403c0a020d6252d35ff451">&#9670;&#160;</a></span>PageNumberRight</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionBookMenuController::PageNumberRight</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d13/a00671_source.html#l00370">370</a> of file <a class="el" href="../../d8/d13/a00671_source.html">expansionbookmenu.c</a>.</p>

</div>
</div>
<a id="a53eafd3f68f0b37b7f90992d759fae51" name="a53eafd3f68f0b37b7f90992d759fae51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53eafd3f68f0b37b7f90992d759fae51">&#9670;&#160;</a></span>SideButtonsLeft</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref ObservableCollection&lt;ref <a class="el" href="../../d3/d45/a05057.html">ExpansionScriptView</a>&gt; ExpansionBookMenuController::SideButtonsLeft = new ObservableCollection&lt;ref <a class="el" href="../../d3/d45/a05057.html">ExpansionScriptView</a>&gt;(this)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d13/a00671_source.html#l00367">367</a> of file <a class="el" href="../../d8/d13/a00671_source.html">expansionbookmenu.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Book/Scripts/5_mission/dayzexpansion_book/book/<a class="el" href="../../d8/d13/a00671_source.html">expansionbookmenu.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d0/d0f/a04085.html">ExpansionBookMenuController</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
